curl --request GET \
--url https://api.spedy.com.br/v1/inbound-product-invoices/{id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.spedy.com.br/v1/inbound-product-invoices/{id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.spedy.com.br/v1/inbound-product-invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": "productInvoice",
"company": {
"name": "<string>",
"legalName": "<string>",
"federalTaxNumber": "<string>",
"stateTaxNumber": "<string>",
"cityTaxNumber": "<string>"
},
"environmentType": "production",
"accessKey": "<string>",
"nsu": 123,
"isComplete": true,
"status": "authorized",
"issuer": {
"name": "<string>",
"legalName": "<string>",
"federalTaxNumber": "<string>",
"stateTaxNumber": "<string>",
"cityTaxNumber": "<string>",
"address": {
"street": "<string>",
"district": "<string>",
"postalCode": "<string>",
"number": "<string>",
"additionalInformation": "<string>",
"city": {
"code": "<string>",
"name": "<string>",
"state": "ro"
},
"country": {
"name": "<string>",
"code": 123
},
"cityName": "<string>"
}
},
"issuedOn": "2023-11-07T05:31:56Z",
"amount": 123,
"operationType": "incoming",
"manifestation": {
"status": "none",
"date": "2023-11-07T05:31:56Z",
"protocol": "<string>",
"justification": "<string>"
},
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "cancellation",
"eventCode": "<string>",
"sequenceNumber": 123,
"date": "2023-11-07T05:31:56Z",
"protocol": "<string>",
"description": "<string>"
}
],
"creationTime": "2023-11-07T05:31:56Z",
"lastModificationTime": "2023-11-07T05:31:56Z"
}Obter NF-e Recebida
Retorna os dados completos de uma nota recebida: emissor com endereço, a manifestação registrada e todos os eventos vinculados à nota, como cancelamento e carta de correção.
Authorizations
Authorization By X-Api-Key inside request's header
Path Parameters
Response
OK
Identificador da nota recebida no Spedy.
Valores possíveis:
- productInvoice: NF-e
- consumerInvoice: NFC-e
- serviceInvoice: NFS-e
productInvoice, consumerInvoice, serviceInvoice Show child attributes
Show child attributes
Valores possíveis:
- production: Produção
- development: Homologação
- simulation:
production, development, simulation Chave de acesso da NF-e (44 dígitos).
NSU do documento na distribuição da SEFAZ (rastreio).
Indica se o XML completo (autorizado) já está disponível. Fica verdadeiro após a manifestação.
Valores possíveis:
- authorized: Nota autorizada na SEFAZ.
- denied: Nota denegada pela SEFAZ (emitente com pendência cadastral ou tributária).
- canceled: Nota cancelada pelo emitente.
authorized, denied, canceled Show child attributes
Show child attributes
Data de emissão da nota.
Valor total da nota.
Tipo de operação da nota fiscal
Valores possíveis:
- incoming: Entrada
- outgoing: Saída
incoming, outgoing Show child attributes
Show child attributes
Eventos vinculados à nota (cancelamento, carta de correção de terceiros, a própria manifestação, etc.).
Show child attributes
Show child attributes
Data em que a nota foi detectada/criada no Spedy.
Data da última atualização da nota.